# Copyright © 2018,2020-2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python3_{6..10} )

inherit python-r1

SHA1=bb97b6559bf436b1a4bd6ec8303cceb9facf6e56

DESCRIPTION="Download album artwork from the Cover Art Archive"
SRC_URI="https://git.draconx.ca/gitweb/scripts.git/snapshot/$SHA1.tar.xz -> scripts-$SHA1.tar.xz"

LICENSE="WTFPL-2"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=$PYTHON_REQUIRED_USE

RDEPEND="$PYTHON_DEPS
	dev-python/python-musicbrainzngs[$PYTHON_USEDEP]"
DEPEND=$PYTHON_DEPS

S=$WORKDIR/$SHA1

src_install () {
	python_foreach_impl python_newscript caa-fetcher.py caa-fetcher
}
